Search for available phone numbers to purchase by country and type.
curl --request GET \
--url https://api.zavu.dev/v1/phone-numbers/available \
--header 'Authorization: Bearer <token>'{
"items": [
{
"phoneNumber": "+15551234567",
"capabilities": {
"sms": true,
"voice": true,
"mms": true
},
"pricing": {
"monthlyPrice": 123,
"upfrontPrice": 123,
"isFreeEligible": true
},
"friendlyName": "(555) 123-4567",
"locality": "San Francisco",
"region": "CA"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Two-letter ISO country code.
2Type of phone number to search for.
local, mobile, tollFree Search for numbers containing this string.
20Maximum number of results to return.
x <= 50List of available phone numbers.
Show child attributes
curl --request GET \
--url https://api.zavu.dev/v1/phone-numbers/available \
--header 'Authorization: Bearer <token>'{
"items": [
{
"phoneNumber": "+15551234567",
"capabilities": {
"sms": true,
"voice": true,
"mms": true
},
"pricing": {
"monthlyPrice": 123,
"upfrontPrice": 123,
"isFreeEligible": true
},
"friendlyName": "(555) 123-4567",
"locality": "San Francisco",
"region": "CA"
}
]
}